program nMosaic;

uses
  windows,
  Forms,
  sysutils,
  Ufrmmain in 'Ufrmmain.pas' {frmmain},
  Umainhelper in 'Umainhelper.pas',
  Ufunction in 'Ufunction.pas',
  Umain_hlp in 'Umain_hlp.pas',
  Uconfig in 'Uconfig.pas',
  Ufrmoption in 'Ufrmoption.pas' {frmoption},
  Ufrmfolder in 'Ufrmfolder.pas' {frmfolder},
  Ufrmwait in 'Ufrmwait.pas' {frmwait},
  Uipicture in 'Uipicture.pas',
  Ufrmfetch in 'Ufrmfetch.pas' {frmfetch},
  Uupdate in 'Uupdate.pas',
  Uregistry in 'Uregistry.pas',
  Ufrmresize in 'Ufrmresize.pas' {frmresize},
  Ufrmfragsize in 'Ufrmfragsize.pas' {frmfragsize},
  Ufrmwebviewer in 'Ufrmwebviewer.pas' {frmwebviewer},
  Udialog in 'Udialog.pas',
  Ufrmgetmosaic in 'Ufrmgetmosaic.pas' {frmgetmosaic},
  Ufrmabout in '..\Ufrmabout.pas' {frmabout};

{$R *.res}

begin
  if paramstr(1)='install' then begin
    RegSetString(HKEY_CURRENT_USER, 'software\'+thisregname+'\ft', datetimetostr(now-1));
    exit;
  end;
  Application.Initialize;
  Application.CreateForm(Tfrmmain, frmmain);
  Application.Run;
end.
